//
//  ViewController.swift
//  CribTest
//
//  Created by Anke Brocker on 30.04.18.
//  Copyright © 2018 Anke Brocker. All rights reserved.
//

import UIKit
import CoreBluetooth

class ViewController: UIViewController {
    
    //MARK: Properties
    
    var manager:CBCentralManager!
    var peripheral:CBPeripheral!
    
    @IBOutlet weak var AppName: UILabel!
    @IBOutlet weak var CribLightLabel: UILabel!
    @IBOutlet weak var CribLightSwitch: UISwitch!
    @IBOutlet weak var CribMorningStarLabel: UILabel!
    @IBOutlet weak var CribMorningStarSwitch: UISwitch!
    @IBOutlet weak var CribWaterpumpLabel: UILabel!
     @IBOutlet weak var CribWaterpumpSwitch: UISwitch!
    @IBOutlet weak var CribMusicLabel: UILabel!
    @IBOutlet weak var CribMusicSwitch: UISwitch!
    @IBOutlet weak var CribDisplayLabel: UILabel!
    @IBOutlet weak var CribDisplayTextField: UITextField!
    
    @IBOutlet weak var sendButton: UIButton!
    
    
   
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.turnLightOn()
        self.turnStarOn()
        self.turnWaterpumpOn()
        self.setDefaultLabelText(sendButton)
        
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    func turnLightOn(){
    
        for index in 1...10 {
            CribLightSwitch.setOn(true, animated: false)
            CribLightSwitch.setOn(false, animated: true)
        }
       
    }
    
    
    func turnStarOn(){
        
        for index in 1...10 {
            CribMorningStarSwitch.setOn(false, animated: false)
            CribMorningStarSwitch.setOn(true, animated: true)
        }
    }
    
    func turnWaterpumpOn(){
            CribWaterpumpSwitch.setOn(true, animated: false)
    }
    
    
    @IBAction func setDefaultLabelText(_ sender: UIButton) {
        CribDisplayTextField.text = "Merry Christmas!!!"
    }
    
    
}

